### org.jfree.layouting.layouter.style.functions.content

# Interface ContentFunction

Known Implementing Classes:
  AttrValueFunction, CountersValueFunction, CounterValueFunction, DateValueFunction, ElementsFunction, FormatValueFunction, PendingFunction, StringValueFunction, UrlValueFunction

`public interface ContentFunction`

A content function is only valid when evaluating either the 'content' property or the 'string-set' property. These functions produce ContentToken. ContentFunctions are only valid as first-level functions. That means, when evaluating nested function calls like 'url(attr(blah))', the URL function will be resolved as ContentFunction, but the attr-function will be resolved as ordinary CSSValue function.

Author:
  Thomas Morgner

  ## Method Summary

  `ContentToken`

  `evaluate(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)`

## Method Details

### evaluate

    public ContentToken evaluate(LayoutProcess layoutProcess,
                                 LayoutElement element,
                                 CSSFunctionValue function)
                throws FunctionEvaluationException